Update patrolled RCFilter to distinguish between unpatrolled, autopatrolled, manually patrolled
Closed, ResolvedPublic

Description

Patrol field in recent changes will go from 2 states to 3 states in T184791: Make rc_patrolled 3-state instead of 2-state to distinguish autopatrolled edits

We should update RCFilters to allow reviewers to filter by any of the 3 states

Language and layout for updated Review status filters section

Please a) change order of filters, to lead with Unpatrolled, b) insert the new filter option, and c) update language for ALL filters as shown (numerous small changes have been made)

Unpatrolled

Edits not manually or automatically marked as patrolled.

Manually patrolled

Edits manually marked as patrolled.

Autopatrolled

Edits by advanced users whose work is automatically marked as patrolled.

SBisson created this task.Mar 22 2018, 2:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2018, 2:09 PM

Language for this new filter

I took a stab at proposing language for this new feature, as well as showing how these should be arranged within the Review Status filters. Regarding the latter, James suggests leading with Unpatrolled because it will be the most commonly used. If it's not possible to put it first for some reason, then put it last after manual and then auto.

It's rather hard to write a description of this slightly arcane function. I've provided four options. #s 1 and 2 probably won't wrap, but IMHO they are not very clear. E.g., saying something "doesn't need patrolling" leaves slightly ambiguous the question of whether, from the POV of the Unpatrolled filter, it is or is not patrolled. I don't recommend either of these and really only put them here to show how tricky this is.

#s 3 and 4 will probably wrap in English. #3 might fit and is reasonably clear. #4 is more clear, so if we're going to two lines anyway, why not be more clear? Opinions? Alternate ideas?

Review status

Unpatrolled

Edits not manually or automatically marked as patrolled

Manually patrolled

Edits manually marked as patrolled.

Autopatrolled
  1. Edits by advanced users who have the "autopatrol" right.
  2. Edits by advanced users whose edits don't need patrolling.
  3. Edits by advanced users and so automatically marked as patrolled.
  4. Edits by advanced users whose work is automatically marked as patrolled.

I'll go the #4.

jmatazzoni updated the task description. (Show Details)Apr 3 2018, 12:40 AM

In T190408#4091184, @Trizek-WMF wrote:

I'll go the #4.

yes, I think that's right. I'll put that into the product description and move this out of the Product/Design column to RFP.

Change 423824 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] RCFilters: Convert patrolled filter to three states

https://gerrit.wikimedia.org/r/423824

Catrope added a subscriber: Catrope.Apr 4 2018, 1:46 AM

Change 423824 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] RCFilters: Convert patrolled filter to three states

https://gerrit.wikimedia.org/r/423824

I wrote this on the plane without having seen the discussion about language here, so I made up my own. I'll amend to put in the right language tomorrow.

@Catrope, please say when it will be deployed, so we can announce it in Tech News before it happens. As a reminder, publication limit os on Thursday (or early PDT Friday) for a distribution on Monday/Tuesday (depending on timezones).

@Catrope, please say when it will be deployed, so we can announce it in Tech News before it happens. As a reminder, publication limit os on Thursday (or early PDT Friday) for a distribution on Monday/Tuesday (depending on timezones).

Most likely it'll be on next week's train (April 10-12).

I've amended my change to add the right language. It now looks like this:

For the record, the language that I wrote (without access to your language) was:

  • Unpatrolled: Edits not marked as patrolled
  • Manually patrolled: Edits marked as patrolled by a patroller
  • Automatically patrolled: Edits marked as patrolled automatically

Thanks for making the change. I'm sad though not surprised that the Autopatrolled line wraps, but I think clarity trumps brevity in such a circumstance.

Thanks for making the change. I'm sad though not surprised that the Autopatrolled line wraps, but I think clarity trumps brevity in such a circumstance.

It may wrap in other languages. That's not overall a big deal.

Most likely it'll be on next week's train (April 10-12).

Noted, thanks! I've added it to Tech News.

Change 423824 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Convert patrolled filter to three states

https://gerrit.wikimedia.org/r/423824

@Catrope, @jmatazzoni recentchanges table has only three options for patrol status: 0, 1, and 2 which you mapped to 'Unpatrolled', 'Manually patrolled', and 'Autopatrolled' respectively. Unfortunately, actions like log entries are marked with 1 which make them displayed as 'Manually patrolled'.

Ideally, it'd be good to have a fourth category - "unpatrollable", but at very least they should be 'Autopatrolled'?

Hmm, we could change such actions to get rc_patrolled=2 instead of rc_patrolled=1 by default, or we could use 3 for unpatrollable. @Ladsgroup: thoughts?

I'd say let's go with 2 instead, introducing the forth option causes complexity in the API. See what happened with T184791

Change 428728 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] Use PRC_AUTOPATROLLED for all automatic things

https://gerrit.wikimedia.org/r/428728

Change 429249 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] Use PRC_AUTOPATROLLED for rollbacks and revdel

https://gerrit.wikimedia.org/r/429249

Change 428728 merged by jenkins-bot:
[mediawiki/core@master] Use PRC_AUTOPATROLLED for log entries and category entries

https://gerrit.wikimedia.org/r/428728

Etonkovidova closed this task as Resolved.Apr 28 2018, 12:45 AM

Checked in cawiki betalabs - rollbacks, undo, log entries and Category changes are marked as Autopatrolled now.